### Navigation

- index
- modules |
- next |
- previous |
- trytond 3.0 documentation »
- API Reference »

# Pool

class `trytond.pool.``Pool`([database_name])

The Pool store the instances of models, wizards and reports per database.

Static methods:

static `Pool.``register`(klass[, type])

  Register a class of type (default: model).

Class methods:

classmethod `Pool.``start`()

  Start the pool by registering all Tryton modules found.

classmethod `Pool.``stop`(database_name)

  Stop the pool by removing instances for the database.

classmethod `Pool.``database_list`()

  List all started database.

Instance methods:

`Pool.``get`(name[, type])

  Return the named instance of type from the pool.

`Pool.``object_name_list`([type])

  Return the list of instances names.

`Pool.``iterobject`([type])

  Return an interator over instances names.

`Pool.``setup`(module)

  Setup classes for module and return a list of classes for each type in a dictionary.

# PoolMeta

class `trytond.pool.``PoolMeta`

The PoolMeta is a metaclass helper to setup __name__ on class to be registered in the Pool.

# PoolBase

class `trytond.pool.``PoolBase`

The base class of registered class that will be setup.

### Navigation

- index
- modules |
- next |
- previous |
- trytond 3.0 documentation »
- API Reference »